public class Pixels {
	private Pixels() {}
	
	public static int getAlpha(int argbPixel) {
		return ((argbPixel >>> 24) & 0xFF);
	}
	
	public static int getRed(int argbPixel) {
		return ((argbPixel >>> 16) & 0xFF);
	}
	
	public static int getGreen(int argbPixel) {
		return ((argbPixel >>> 8) & 0xFF);
	}
	
	public static int getBlue(int argbPixel) {
		return ((argbPixel >>> 0) & 0xFF);
	}
	
	public static int packPixel(int alpha, int red, int green, int blue) {
		return (alpha << 24) | (red << 16) | (green << 8) | (blue << 0);
	}
}